Name:           blueprint-compiler
Version:        0.12.0
Release:        1%{?dist}
Summary:        A markup language for GTK user interface files

License:        LGPL-3.0-or-later
URL:            https://gitlab.gnome.org/jwestman/blueprint-compiler
Source0:        https://gitlab.gnome.org/jwestman/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  meson


%description
Blueprint helps you build user interfaces in GTK quickly and declaratively.
It has modern IDE features like code completion and hover documentation, and 
the compiler points out mistakes early on so you can focus on making your app 
look amazing.


%global debug_package %{nil}


%prep
%autosetup -n %{name}-v%{version}


%build
%meson
%meson_build


%install
%meson_install


%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_prefix}/lib/python3.12/*
%{_datadir}/pkgconfig/%{name}.pc


%changelog
%autochangelog
